Bug 2170707 - Review Request: rust-ansitok - Library for parsing ANSI Escape Codes
Summary: Review Request: rust-ansitok - Library for parsing ANSI Escape Codes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2170708 2170710
TreeView+ depends on / blocked
 
Reported: 2023-02-17 02:13 UTC by Michel Lind
Modified: 2023-02-23 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-18 13:07:43 UTC
Type: ---
Embargoed:
davide: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2023-02-17 02:13:07 UTC
Spec URL: https://salimma.fedorapeople.org/rust-ansitok.spec
SRPM URL: https://salimma.fedorapeople.org/rust-ansitok-0.2.0-1.fc37.src.rpm

Description:
Library for parsing ANSI Escape Codes.

Fedora Account System Username: salimma

Comment 1 Davide Cavalca 2023-02-17 18:57:54 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

Comment 2 Fedora Admin user for bugzilla script actions 2023-02-17 20:50:23 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-ansitok

Comment 3 Fedora Update System 2023-02-18 13:00:31 UTC
FEDORA-2023-1aa3d4649a has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1aa3d4649a

Comment 4 Fedora Update System 2023-02-18 13:02:05 UTC
FEDORA-2023-906205247e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-906205247e

Comment 5 Fedora Update System 2023-02-18 13:04:23 UTC
FEDORA-2023-5d79972c50 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5d79972c50

Comment 6 Fedora Update System 2023-02-18 13:07:43 UTC
FEDORA-2023-5d79972c50 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-02-19 01:48:48 UTC
FEDORA-2023-1aa3d4649a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1aa3d4649a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1aa3d4649a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-02-19 03:02:35 UTC
FEDORA-2023-906205247e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-906205247e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-906205247e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-02-23 01:24:42 UTC
FEDORA-2023-1aa3d4649a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-02-23 02:18:56 UTC
FEDORA-2023-906205247e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.